Skip to main content
`Ctrl`+`K`

# DMGetVecType

Gets the type of vector created with `DMCreateLocalVector()` and `DMCreateGlobalVector()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetVecType(DM da, VecType *ctype)

Logically Collective

## Input Parameter

- da - initial distributed array

## Output Parameter

- ctype - the vector type

## See Also

DM Basics, `DM`, `DMCreate()`, `DMDestroy()`, `DMDAInterpolationType`, `VecType`, `DMSetMatType()`, `DMGetMatType()`, `DMSetVecType()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex28.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages